@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/all.min.css');

*{
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
}
html{
    scroll-behavior: smooth;
}
.hamburguer{
    width: 2rem;
    height: 2rem;
    position: fixed;
    z-index: 100;
    right: 2rem;
    top: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    cursor: pointer;
}
.show-menu .hamburguer {
    right: 16rem;
}
.show-menu #line1 {
    transform: rotate(45deg) translate(0.3rem, 0.45rem);
}
.show-menu #line2 {
    opacity: 0;
    visibility: hidden;
}
.show-menu #line3 {
    transform: rotate(-45deg) translate(0.3rem, -0.45rem);
}
.hamburguer span {
    position: absolute;
    left: 3rem;
    height: 2rem;
    width: 6rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #a044ff;
    color: #ffffff;
    font-family: var(--font-action);
    opacity: 0;
}
.hamburguer span::before {
    content: "";
    position: absolute;
    border-right: 0.5rem solid #a044ff;
    border-top: 0.5rem solid transparent;
    border-left: 0.5rem solid transparent;
    border-bottom: 0.5rem solid transparent;
    left: -1rem;
}
.line{
    width: 100%;
    height: .1rem;
    background: white;
    box-shadow: 0.1rem 0.1rem 1px #000;
}
header{
    width: 100%;
    height: 100vh;
    overflow: hidden;
    position: relative;
}
.img-wrapper {
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.8);
}
.img-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.5;
    animation: zoom 25s;
}
@keyframes zoom {
    0%{
        transform: scale(1.3);
    }
    100%{
        transform: scale(1);
    }
}
.banner{
    position: absolute;
    top:30%;
    left: 15%;
}
.banner h1{
    color: #fff;
    font-size: 3.5rem;
    font-weight: 300;
    text-shadow: .2rem .4rem 2px rgba(0, 0, 0, 0.4);
    margin-bottom: 2rem;
    opacity: 0;
    animation: moveBanner 1s 0.5s forwards;
}
.banner p {
    color: #fff;
    font-size: 2rem;
    text-shadow: .2rem .4rem 2px rgba(0, 0, 0, 0.4);
    font-weight: 200;
    margin-bottom: 2rem;
    opacity: 0;
    animation: moveBanner 1s 0.7s forwards;
}
button{
    cursor: pointer;
    background: #6a3893;
    border: 0;
    border-radius: 8px;
    color: #fff;
}
button:hover{
    background: rgb(107, 5, 107);
}
.banner button{
    color: #fff;
    background: #6a3893;
    border: 0;
    border-radius: 8px;
    padding: 1rem;
    text-transform: uppercase;
    cursor: pointer;
    letter-spacing: .1rem;
    opacity: 0;
    animation: moveBanner 1s 0.9s forwards;
}
.banner button:hover{
    background: rgb(107, 5, 107);
}
@keyframes moveBanner {
    0% {
    transform: translateY(10rem) rotateY(-30deg);
    }
    100% {
    transform: translateY(0) rotateY(0);
    opacity: 1;
    }
}
.sidebar {
    width: 20rem;
    height: 100vh;
    background-color: #fff;
    position: fixed;
    top: 0;
    right: -20rem;
    transition: all 1s;
    z-index: 80;
}
.show-menu .sidebar {
    right: 0;
}
.menu {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.menu-item {
    text-align: center;
    margin-bottom: 0.5rem;
}
.menu-link {
    font-family: var(--font-action);
    font-size: 2rem;
    color: #555;
    transition: color 1s;
}
.menu-link:hover {
    color: #6a3093;
}
.social-media {
    position: absolute;
    bottom: 2rem;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
}
.social-media i {
    background-color: #6a3093;
    color: rgba(255, 255, 255, 1);
    height: 2.5rem;
    width: 2.5rem;
    font-size: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    transition: background-color 1s;
}
.social-media i:hover {
    background-color: #a044ff;
}
.sessao-header {
    display: flex;
    align-items: center;
    justify-content: center;
}
.sessao-header h1 {
    font-size: 3rem;
    color: #4b4b4b;
    border-bottom: solid 3px #6a3093;
    margin-bottom: 1rem;
    margin-top: 2rem;
    font-weight: 300;
}
.conhecimento-header {
    display: flex;
    align-items: center;
    color: #4b4b4b;
}
.conhecimento-header i {
    font-size: 2.5rem;
}
.conhecimento-header h3 {
    font-family: var(--font-secundary);
    font-size: 2rem;
    padding-left: 1rem;
}
.conhecimento-text {
    font-family: var(--font-secundary);
    margin-top: 1rem;
}
.conhecimentos {
    height: 100%;
    display: grid;
    grid-template-columns: repeat(16, 1fr);
    grid-template-rows: repeat(6, 6rem);
    row-gap: 0.5rem;
}
.conhecimentos-img-wrapper {
    grid-column: 7 / 11;
    grid-row: 2 / 6;
    width: 80%;
    height: 80%;
}
.conhecimentos-img-wrapper img {
    object-fit: cover;
    height: 100%;
}
.conhecimentos-img-wrapper {
    grid-column: 7 / 11;
    grid-row: 2 / 6;
    width: 80%;
    height: 80%;
}
.conhecimentos-img-wrapper img {
    object-fit: cover;
    height: 100%;
}
.conhecimento:nth-child(1) {
    grid-column: 4 / 7;
    grid-row: 1 / 3;
}
.conhecimento:nth-child(2) {
    grid-column: 3 / 6;
    grid-row: 3 / 5;
}
.conhecimento:nth-child(3) {
    grid-column: 4 / 7;
    grid-row: 5 / -1;
}
.conhecimento:nth-child(4) {
    grid-column: 11 / 14;
    grid-row: 1 / 3;
}
.conhecimento:nth-child(5) {
    grid-column: 12 / 15;
    grid-row: 3 / 5;
}
.conhecimento:nth-child(6) {
    grid-column: 11 / 14;
    grid-row: 5 / -1;
}
.projetos{
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 2rem;
}
.card{
    width: 18rem;
    height: 25rem;
    position: relative;
}
.card-img-wrapper{
    width: 100%;
    height: 100%;
    background: #262626;
    border-radius: 0.5rem;
}
.card-img-wrapper img{
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 0.5rem;
    opacity: 0.8;
    transform: opacity 0.3s;
}
.card:hover .card-img-wrapper img{
    opacity: 0.5;
}
.card-info{
    position: absolute;
    bottom: 0;
    opacity: 0;
    visibility: hidden;
    padding: 2rem;
    text-shadow: 0.3rem 0.2rem 0.3rem rgba(0, 0, 0, 0.6);
    transition: all 0.3s;
}
.card-info h2{
    font-size: 2rem;
    font-weight: 500;
    color: #eee;
}
.card-info h3{
    font-weight: bolder;
    color: #ff4081;
    margin-bottom: 1.5rem;
}
.card-info p {
    color: #eee;
    font-weight: 400;
    width: 80%;
    margin-bottom: 2rem;
}
.card-info button {
    width: 8rem;
    height: 2.5rem;
}
.card:hover .card-info {
    bottom: 2rem;
    opacity: 1;
    visibility: visible;
}
.sessao-contato {
    width: 100%;
    height: 100vh;
    background-color: #272727;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contato-wrapper {
    width: 60%;
    height: 30rem;
    display: flex;
    box-shadow: 0 2rem 3rem rgba(0, 0, 0, 0.5);
}
.contato-left {
    width: 35%;
    background: linear-gradient(rgba(15, 15, 15, 0.6), rgba(22, 22, 22, 0.9)),
    url(assets/contato.jpg);
    background-size: cover;
}

.contato-right {
    width: 65%;
    background-color: #eee;
    padding: 1rem 3rem 3rem 3rem;
}
.sessao-contato h1 {
    width: 100%;
    text-align: center;
    font-family: var(--font-primary);
    color: #272727;
    font-size: 3rem;
    font-weight: lighter;
}
.sessao-contato form {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.input-group {
    position: relative;
}
.field {
    background: transparent;
    border: none;
    width: 20rem;
    font-size: 1.5rem;
    font-family: var(--font-secundary);
    border-bottom: 2px dashed #636363;
    height: 3rem;
    outline: none;
    margin: 1rem 0;
}
.input-group textarea {
    padding-top: 1rem;
    max-width: 25rem;
    max-height: 3rem;
}
.field-label {
    position: absolute;
    left: 0;
    top: 2rem;
    font-size: 1rem;
    font-family: var(--font-secundary);
    text-transform: uppercase;
    transition: all 0.3s;
}
.field:focus ~ label {
    top: 0;
    font-size: 0.7rem;
}
.field:focus {
    border-bottom: 1px solid;
}
.btn-submit {
    font-size: 1.2rem;
    text-transform: uppercase;
    width: 80%;
    height: 2.5rem;
    margin-top: 1rem;
    letter-spacing: 0.2rem;
    cursor: pointer;
    text-shadow: 0 0.1rem 0.3rem rgba(0, 0, 0, 0.5);
    box-shadow: 0 0.1rem 0.3rem rgba(0, 0, 0, 0.3);
}
.preenchido{
    pointer-events: none;
} 
footer{
    width: 100%;
    height: 7rem;
    background-color: #17181b;
    display: flex;
    justify-content: center;
    align-items: center;
}
.footer-content{
    width: 60%;
    display: flex;
    justify-content: space-between;
}
.footer-content p{
    font-family: var(--font-secundary);
    color: #a7a7a7;
    font-size: 1.2rem;
}
.social-list a{
    margin: 0 2rem;
    color: #a7a7a7;
    font-size: 1.3rem;
}
.social-list ul {
    display: flex;
}
@media screen and (max-width: 992px) {
    
        .conhecimentos{
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-items: center;
        padding: 5% 10%;
        }

        .conhecimentos-img-wrapper img {
            padding-left: 10%;
        }
    }
@media screen and (max-width: 600px) {
    .conhecimentos{
        width: 100%;
    }
    .conhecimentos-img-wrapper img {
        width: 100%;
    }
    .sessao-projetos{
        width: 100%;
        padding: 0 7%;
    }
    .sidebar{
        display: block;
    }
    .sessao-contato{
        width: 100%;
    }
    .contato-right{
        width: 100%;
        position: relative;
        left: -50px;
    }
    .contato-left{
        width: 100%;
    }
    .field-label {
        padding: 0 10%;
    }
    
    .footer-content{
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .social-list ul {
        display: inline-block;
    }
    .projetos {
        display: block;
        padding: 10% 10% 10%;
    }
    
}